Bug 814686 - ssh-agent launch check fails
ssh-agent launch check fails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 08:21 EDT by Matthias Clasen
Modified: 2015-02-17 09:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:14:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2012-04-20 08:21:52 EDT
xinitrc-common tries to avoid launching ssh-agent if the session brings its own:

SSH_AGENT=
if [ -z "$SSH_AGENT_PID" ] && [ -x /usr/bin/ssh-agent ]; then
    if [ "x$TMPDIR" != "x" ]; then
        SSH_AGENT="/usr/bin/ssh-agent /bin/env TMPDIR=$TMPDIR"
    else
        SSH_AGENT="/usr/bin/ssh-agent"
  fi
fi


The gnome-session brings its own agent in gnome-keyrings ssh component, but it does not set SSH_AGENT_PID, which is an implementation detail of the openssh implementation. SSH_AUTH_SOCK would be a better env var to check, but that won't help either since gnome-keyring does not have its environment variables in place when this script runs anyway. 

We could check whether /etc/xdg/autostart/gnome-keyring-ssh.desktop is present, but that file has an OnlyShowIn key in it, so we'd have to get into parsing that and comparing session names, etc.

The simplest solution would be to just check if $GDMSESSION = gnome and don't use ssh-agent in that case.
Comment 1 Matthias Clasen 2012-04-20 08:26:07 EDT
Observed in http://mclasen.fedorapeople.org/bootchart1.png, btw.

One way to do this without breaking advanced user's ability to run ssh-agent instead of gnome-keyring would be to:

SSH_AGENT=
if [ -z "$SSH_AGENT_PID" ] && [ "$GDMSESSION" = "gnome" ]; then
  SSH_AGENT_PID=$(pidof gnome-keyring-daemon)
fi
if [ -z "$SSH_AGENT_PID" ] && [ -x /usr/bin/ssh-agent ]; then
    if [ "x$TMPDIR" != "x" ]; then
        SSH_AGENT="/usr/bin/ssh-agent /bin/env TMPDIR=$TMPDIR"
    else
        SSH_AGENT="/usr/bin/ssh-agent"
  fi
fi
Comment 2 Matthias Clasen 2012-04-21 11:37:09 EDT
Seems I was confused by a local gdm install here. We are, after all sharing Xsession with xorg-x11-xinit.
Comment 3 Tim Waugh 2012-05-02 12:20:16 EDT
I'm asked for my passphrase every time my key is required.  Is it due to this bug?
Comment 4 Fedora End Of Life 2013-04-03 13:28:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:07:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:14:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.